## cdbkup-1.0.tar.gz

=== pkg-tools/Makefile ===
# This makefile is useful for generating cdbkup packages.
# Beware! Some targets require specialized tools which may be
# unavailable on some platforms.
# 
# The targets are as follows:
# changelog	- update ChangeLog file in main directory.
# tarball	- make generic tarball with autoconf for any platform.
#
# $Id: Makefile,v 1.4 2002/01/13 01:52:18 jjgignac Exp $

PKGDIR = ..
CHANGELOG = ChangeLog
VERSION = `head -1 ../src/CDVER | sed 's/[[:space:]]/_/g'`
TMP = /tmp
CDTEMP = $(TMP)/cdbkup

all:	prepare tarball

changelog:
	for x in $(PKGDIR) ; \
	do \
		( cd $$x ; \
		rcs2log -h users.sourceforge.net | \
		sed 's/\/cvsroot\/cdbkup\/cdbkup\///g' | \
		fmt > $(CHANGELOG) ) ; \
	done

prepare:
	@ echo "-> Be sure making 'make clean' before."

tarball:
	@ echo "-> Making tarball ..."
	rm -rf $(CDTEMP) ; rm -rf $(CDTEMP)-$(VERSION)
	mkdir $(CDTEMP)
	cp -R $(PKGDIR)/* $(CDTEMP) 
	mv $(CDTEMP) $(CDTEMP)-$(VERSION)
	tar -czf cdbkup-$(VERSION).tar.gz -C $(TMP) \
		--exclude CVS cdbkup-$(VERSION)
	@ echo "-> Output file name: cdbkup-$(VERSION).tar.gz"

=== debian/control ===
Source: cdbkup
Section: utils
Priority: optional
Maintainer: John-Paul Gignac <jp@gignac.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: cdbkup
Architecture: all
Depends: perl5,cdrecord,mkisofs,tar (>= 1.13.17)
Suggests: ssh
Description: Backs up Unix filesystems onto one or more CD-Rs or CD-RWs
 cdbkup is a utility for performing full or incremental backups of local
 or remote Unix filesystems onto CD-Rs or CD-RWs.  The results are
 stored as tarballs on single-session or multi-session ISO CDs.  cdbkup
 supports several different backup strategies, and can work either
 interactively for multi-CD backups, or non-interactively for single-CD
 backups.

=== debian/rules ===
#!/usr/bin/make -f
# GNU copyright 2001 to 2002 by John-Paul Gignac.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=/usr/share/man --with-dumpgrp=root --with-snardir=/var/lib/cdbkup
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/cdbkup

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
